Bug 459059 - Audio resampling problems with jack-audio-connection-kit-0.109.2-1.fc9.1.i386
Audio resampling problems with jack-audio-connection-kit-0.109.2-1.fc9.1.i386
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: jack-audio-connection-kit (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Andy Shevchenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 02:08 EDT by Matt Hirsch
Modified: 2009-01-14 22:06 EST (History)
1 user (show)

See Also:
Fixed In Version: SVN (0.112.1)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 22:06:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Hirsch 2008-08-14 02:08:05 EDT
Description of problem:

When running jackd at a sample rate of 48000Hz, audio is distorted. Listening to a single tone it's clear that the tone is aliased down to other tones. For example, a jack client program playing a single 8Khz tone will produce a number of lower frequencies at the output as well. The problem does not exist at lower sample rates that I tested (32000Hz, for example). I have tested with many different combinations of buffer size and partitions but it seems to have no effect. These settings were known to work in previous versions of jackd. I built the latest svn from jackaudio.org and the problem does not occur.

Version-Release number of selected component (if applicable):

jack-audio-connection-kit-0.109.2-1.fc9.1.i386

How reproducible:

Always.

Steps to Reproduce:
1. run "jackd -R -dalsa -dhw:0 -r48000"
2. connect a client program (such as xmms with the xmms-jackplug)
3. play audio (such as tone://8000 in xmms)

Actual results:

Audio is distorted.

Expected results:

No distortion.

Additional info:

The latest SVN works without a problem.

svn co http://subversion.jackaudio.org/jack/trunk/jack
Comment 1 Fedora Update System 2008-12-15 14:11:14 EST
jack-audio-connection-kit-0.116.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/jack-audio-connection-kit-0.116.1-1.fc10
Comment 2 Fedora Update System 2008-12-15 14:16:05 EST
jack-audio-connection-kit-0.116.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/jack-audio-connection-kit-0.116.1-1.fc9
Comment 3 Fedora Update System 2008-12-17 19:35:01 EST
jack-audio-connection-kit-0.116.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update jack-audio-connection-kit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11403
Comment 4 Fedora Update System 2008-12-17 19:37:28 EST
jack-audio-connection-kit-0.116.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jack-audio-connection-kit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11400
Comment 5 Fedora Update System 2008-12-29 17:14:58 EST
jack-audio-connection-kit-0.116.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/jack-audio-connection-kit-0.116.1-2.fc10
Comment 6 Fedora Update System 2008-12-29 17:20:27 EST
jack-audio-connection-kit-0.116.1-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/jack-audio-connection-kit-0.116.1-2.fc9
Comment 7 Fedora Update System 2008-12-30 18:50:49 EST
jack-audio-connection-kit-0.116.1-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jack-audio-connection-kit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11918
Comment 8 Fedora Update System 2008-12-30 18:52:48 EST
jack-audio-connection-kit-0.116.1-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update jack-audio-connection-kit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11935
Comment 9 Fedora Update System 2009-01-04 12:21:24 EST
jack-audio-connection-kit-0.116.1-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/jack-audio-connection-kit-0.116.1-3.fc10
Comment 10 Fedora Update System 2009-01-04 12:23:13 EST
jack-audio-connection-kit-0.116.1-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/jack-audio-connection-kit-0.116.1-3.fc9
Comment 11 Fedora Update System 2009-01-07 04:05:59 EST
jack-audio-connection-kit-0.116.1-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jack-audio-connection-kit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0008
Comment 12 Fedora Update System 2009-01-07 04:26:21 EST
jack-audio-connection-kit-0.116.1-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update jack-audio-connection-kit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0166
Comment 13 Fedora Update System 2009-01-14 22:01:12 EST
jack-audio-connection-kit-0.116.1-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-01-14 22:06:02 EST
jack-audio-connection-kit-0.116.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.